#!/usr/bin/env python3

"""Create and email a list of new items

Author: Gem Stone-Logan
Contact Info: gemstonelogan@gmail.com
"""

#psycopg2 is a package that can connect to a PostgreSQL database
import psycopg2

#Connecting to Sierra PostgreSQL database
try:
    conn = psycopg2.connect("dbname='iug' user='iuguser' host='localhost' port='1032' password='iugprog' sslmode='require'")
except psycopg2.Error as e:
    print ("Unable to connect to database: " + str(e))

#Opening a session and querying the database for weekly new items
cursor = conn.cursor()
cursor.execute("SELECT id FROM sierra_view.item_view i LIMIT 10")

#Storing the data in a variable
rows = cursor.fetchall()
print (rows)

conn.close()




