#!/usr/bin/env python3

"""Create and email a list of new items

Author: Gem Stone-Logan
Contact Info: gem.stone-logan@mountainview.gov or gemstonelogan@gmail.com
"""

import psycopg2
import xlsxwriter

#Connecting to Sierra PostgreSQL database
conn = psycopg2.connect("dbname='iug' user='iuguser' host='localhost' port='1032' password='iugprog' sslmode='require'")

#Opening a session and querying the database for weekly new items
cursor = conn.cursor()
cursor.execute(open("WeeklyNewItemsRev.sql","r").read())
#For now, just storing the data in a variable. We'll use it later.
rows = cursor.fetchall()
conn.close()

#Creating the Excel file for staff
workbook = xlsxwriter.Workbook("WeeklyNewItem.xlsx")
worksheet = workbook.add_worksheet()
workbook.close()


